package com.kospo.talk.service;

import com.kospo.talk.model.SmUser;
import com.kospo.talk.model.SmUserId;
import com.kospo.talk.payload.ISmUserDto;
import com.kospo.talk.payload.SmUserDto;
import jakarta.transaction.Transactional;

import java.util.List;

public interface SmUserService {
    @Transactional
    List<SmUserDto> findByWorkId(String workId);

    long countByOnlineYnAndWorkId(String workId);

    long countByOnlineYnAndWorkIdExceptSabun(String workId, String sabun);

    List<SmUser> findBySabun(String sabun);

    List<ISmUserDto> findBySmUserInSabun(String sabun);

    List<ISmUserDto> findWorkOnlineInSabun(String sabun);

}
